Package org.eclipse.emf.cdo.server

# Interface IStoreAccessor.QueryResourcesContext

All Superinterfaces:
  `CDOBranchPoint`, `CDOBranchProvider`, `CDOTimeProvider`

All Known Subinterfaces:
  `IStoreAccessor.QueryResourcesContext.ExactMatch`

All Known Implementing Classes:
  `DelegatingQueryResourcesContext`

Enclosing interface:
  IStoreAccessor

public static interface IStoreAccessor.QueryResourcesContext extends CDOBranchPoint
Represents the query execution state of a `resources query`.

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IStoreAccessor.QueryResourcesContext.ExactMatch`
Represents the query execution state of a `resources query` that is supposed to deliver one exact resource, or `null`.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addResource(CDOID resourceID)`
Adds the CDOID of one resource to the results of the underlying query.
`boolean`
`exactMatch()`
`CDOID`
`getFolderID()`
`int`
`getMaxResults()`
Returns the maximum number of results expected by the client or `CDOQueryInfo.UNLIMITED_RESULTS` for no limitation.
`String`
`getName()`

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`getBranch, getTimeStamp`

## Method Details

### getFolderID

CDOID getFolderID()

### getName

String getName()

### exactMatch

boolean exactMatch()

### getMaxResults

int getMaxResults()
Returns the maximum number of results expected by the client or `CDOQueryInfo.UNLIMITED_RESULTS` for no limitation.

### addResource

boolean addResource(CDOID resourceID)
Adds the CDOID of one resource to the results of the underlying query.

Returns:
  `true` to indicate that more results can be passed subsequently, `false` otherwise (i.e. maxResults has been reached or an asynchronous query has been canceled).